<?php

namespace EventPortal\Domain\EventDelegate\Actions;

use EventPortal\Domain\Event\Models\EventDelegate;
use SM\Event\TransitionEvent;

class MarkDelegateAsInvited
{
    public static function execute(TransitionEvent $transitionEvent): void
    {
        $notification = $transitionEvent->getStateMachine()->getObject();
        $eventDelegate = EventDelegate::forEventAndDelegate($notification->event, $notification->delegate)->first();

        if ($eventDelegate->canApply('invite') === false) {
            return;
        }

        $eventDelegate->apply('invite');
        $eventDelegate->save();
    }
}
