<?php

namespace EventPortal\Http\Controllers\Delegate;

use EventPortal\Domain\Event\ValueObjects\PageHeader;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Inertia\Response;

class AccountController extends Controller
{
    public function __invoke(): Response
    {
        $name = Auth::user()->full_name;

        return DelegateRender::component('Delegate/Account/Index')
            ->withPageHeader(
                PageHeader::make()
                    ->title("Hi {$name}! Welcome to your account.")
                    ->description('View your details and change your password.')
            )
            ->get();
    }
}
